<?php
header('Content-Type: application/json;charset= utf-8');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");

$revisar = 0;


if($_REQUEST['id']){$id = $_REQUEST['id'];}
if($_REQUEST['sql']){$sql = $_REQUEST['sql'];}
if($_REQUEST['tipo']){$tipo = $_REQUEST['tipo'];}
if($_REQUEST['usuario']){$usuario = $_REQUEST['usuario'];}
if($_REQUEST['revisar']){$revisar = $_REQUEST['revisar'];}

if ($sql != 'ignorar')
{
$resultado = mysqli_query($con,$sql);
}

if ($revisar != 'ignorar' && $revisar == 1 && $id > 0)
{
$sql2 = "UPDATE cat_captaciones SET dato3=1 WHERE elem_red = " . $id;
$resultado = mysqli_query($con,$sql2);
}


$estado_fin = '';
$accion = '';
$sql = "SELECT fecha, estado_fin, accion FROM int_captaciones WHERE activo = 1 AND id_captacion = " . $id . " ORDER BY CAST(fecha AS DATETIME) DESC LIMIT 1";
$resultado = mysqli_query($con,$sql);
if ($resultado !== FALSE && mysqli_num_rows($resultado) > 0) {
    $row = mysqli_fetch_assoc($resultado);
    $estado_fin = $row["estado_fin"];
    $accion = $row["accion"];
    $sql = "UPDATE cat_captaciones SET estado = '" . $estado_fin . "', accion = '" . $accion . "' WHERE elem_red = " . $id;
    $resultado = mysqli_query($con,$sql);
}


$res = array();
$res1 = array();

$sql = "SELECT id_captacion, id_intervencion, fecha, usuario, estado_ini, estado_fin, tipo, accion, observaciones, fotos, audios FROM int_captaciones WHERE activo = 1 AND id_captacion = " . $id . " ORDER BY CAST(fecha AS DATETIME) DESC";
$resultado = mysqli_query($con,$sql);
$resultado = mysqli_query($con,$sql);

if ($resultado != FALSE){
	if (mysqli_num_rows($resultado) > 0){
		while($row = mysqli_fetch_assoc($resultado))
		{
            $elem = array(
                'id_captacion'=>$row["id_captacion"],
                'id_intervencion'=>$row["id_intervencion"],
                'fecha'=>$row["fecha"],
                'usuario'=>$row["usuario"],
                'estado_ini'=>$row["estado_ini"],
                'estado_fin'=>$row["estado_fin"],
                'tipo'=>$row["tipo"],
                'accion'=>$row["accion"],
                'observaciones'=>$row["observaciones"],
                'fotos'=>$row["fotos"],
                'audios'=>$row["audios"]
            );
            array_push($res1, $elem);
		}
}
}	

if ($tipo != 'ignorar')
{
    $fecha = dl_fecha::dl_ahora_texto();
	$sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Intervencion en captacion','INTERVENCION CAPTACION','" . $fecha . "','" . $usuario . "','" . $tipo . "')";
	$resultado = mysqli_query($con,$sql);
}



array_push($res,$res1);
array_push($res,$estado_fin);
array_push($res,$accion);
mysqli_close($con);
echo json_encode($res);
?>



